* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: 'Roboto Flex', sans-serif;
    line-height: 1.6;
    color: #382479;
    background: #fff;
}
a {
    text-decoration: none;
    color: inherit;
}

/* Hero Section Part */
.hero {
    background-color: #382479;
    color: #fff;
    padding: 4rem 1rem;
}
.hero-container {
    max-width: 1200px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 3rem;
}
.hero-right{
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
}
.hero-left {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.hero-heading {
    font-size: 3rem;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 1rem;
}

.hero-subheading {
    font-size: 1.5rem;
    color: #fbfbfb;
    max-width: 90%;
}

.hero-right img {
    width: 100%;
    height: auto;
    max-width: 500px;
    display: block;
    margin: 0 auto;
}

.btn-hero-primary {
    display: inline-block;
    padding: 14px 32px;
    background: white;
    color: #a633cc;
    font-weight: 700;
    border: none;
    border-radius: 0;
    cursor: pointer;
    text-align: center;
    width: auto;
    box-shadow: 0 4px 12px rgba(106, 27, 154, 0.2);
}
.btn-hero-primary:hover {
    background-color: #7b1fa2;
}
.btn-primary {
    background-color: #5f3aa3;
    color: #f5f4f8;
    padding: 14px 32px;
    font-size: 0.875rem;
    border: none;
    border-radius: 0.2rem;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: max-content;
}
.btnn-primary {
    display: inline-block;
    padding: 12px 30px;
    background-color: #f6eff8;
    color: #6147b0;
    font-weight: 600;
    font-size: 0.9rem;
    border: none;
    border-radius: 0.2rem;
    cursor: pointer;
    text-align: center;
    width: 12rem;
}
.btnn-primary:hover {
    background-color: #e0d6e5;
    /* border: rgb(37, 110, 255) 3px solid; */
}
.btn-primary:hover {
    background-color: #583893;
}
.hero-visual img {
    max-width: 100%;
    height: auto;
}

/* Showcase Section */
.showcase {
  padding: 5rem 1rem 2rem;
  background: #fff;
}

.section-centered-title {
  max-width: 1200px;
  margin: 0 auto 3rem;
  padding: 0 1rem;
  text-align: center;
}

.section-centered-title h2 {
  font-size: 2.25rem;
  font-weight: 700;
  color: #111827;
  margin-bottom: 0;
}

.showcase-item {
  max-width: 1200px;
  margin: 0 auto 4rem;
  padding: 0 1rem;
  overflow-x: hidden;
}

.showcase-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  align-items: center;
  max-width: 1600px;
  margin: 0 auto;
}

.showcase-item.reverse .showcase-container {
  direction: rtl;
}

.showcase-item.reverse .showcase-text {
  direction: ltr;
}

.showcase-subtitle {
  font-size: 1.75rem;
  font-weight: 600;
  color: #0a0a0a;
  margin-bottom: 0.5rem;
}

.showcase-title {
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 1.5rem;
  color: #111827;
}

.showcase-description {
  font-size: 1.125rem;
  color: #6b7280;
  line-height: 1.7;
  margin-bottom: 2rem;
}

.showcase-visual img {
  width: 100%;
  max-width: 500px;
  border-radius: 0.5rem;
  display: block;
  margin: 0 auto;
}

/* Responsiveness */
@media (max-width: 1024px) {
  .showcase-container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .showcase-item.reverse .showcase-container {
    direction: ltr;
  }

  .showcase-visual img {
    margin-top: 2rem;
  }

  .showcase-subtitle,
  .showcase-title,
  .showcase-description {
    text-align: center;
  }
}

/* Integration Grid */
.integration-grid {
    padding: 3rem 0;
    background: #f9fafb;
}
.grid-container {
    max-width: 1200px;
    margin: auto;
    padding: 0 1.5rem;
}
.grid-header {
    text-align: center;
    margin-bottom: 4rem;
}
.grid-title {
    font-size: 2.5rem;
    font-weight: 700;
    color: #111827;
    margin-bottom: 0.5rem;
}
.grid-description {
    color: #6b7280;
    font-size: 1.125rem;
    max-width: 48rem;
    margin: auto;
    line-height: 1.7;
}
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
  gap: 2rem;
  justify-items: center;
  padding: 2rem;
  max-width: 1200px;
  margin: auto;
}

.hexagon-wrapper {
  /* width: 111px;
  height: 111px; */
  margin: 0 auto 1rem;
  filter: drop-shadow(0 4px 12px rgba(0, 0, 0, 0.08));

}

.integration-card .hexagon {
  background-color: #fff;
  clip-path: polygon(25% 5%, 75% 5%, 100% 50%, 75% 95%, 25% 95%, 0% 50%);
  width: 111px;
  height: 111px;
  margin: 0 auto 1rem;
  display: flex;
  align-items: center;
  justify-content: center;

  filter: drop-shadow(0 -6mm 4mm rgb(160, 0, 210));
}

.integration-icon-card {
    width: 82px;
    height: 82px;
    clip-path: polygon(25% 5%, 75% 5%, 100% 50%, 75% 95%, 25% 95%, 0% 50%);
    background-color: #f3f4f6;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 1rem;
    font-size: 28px;
    color: #382479;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.05);
}
.integration-name {
    font-weight: 600;
    color: #111827;
    margin-bottom: 0.5rem;
}
.integration-description {
    font-size: 0.875rem;
    color: #6b7280;
    line-height: 1.5;
}

.integration-card {
  width: 100%;
  min-height: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1rem;
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.08);
  border-radius: 12px;
  background: #fff;
  transition: transform 0.3s ease;
  overflow: hidden; 
}

.hexagon-container {
  position: relative;
  width: 100px;
  height: 115px;
  margin-bottom: 1rem;
}

.hexagon-bg {
  position: absolute;
  width: 100px;
  height: 55px;
  background: #f0f0f0;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  transform: rotate(0deg) skewY(-30deg);
  top: 30px;
  left: 0;
  z-index: 0;
}

.hexagon-bg::before,
.hexagon-bg::after {
  content: '';
  position: absolute;
  width: 100px;
  height: 55px;
  background: inherit;
  left: 0;
  box-shadow: inherit;
}

.hexagon-bg::before {
  top: -55px;
  transform: rotate(0deg) skewY(30deg);
}

.hexagon-bg::after {
  top: 55px;
  transform: rotate(0deg) skewY(30deg);
}
.hexagon {
  position: relative;
  width: 72px;
  height: 72px;
  background-color: #ffffff; 
  clip-path: polygon(
    25% 5%, 75% 5%,
    100% 50%, 75% 95%,
    25% 95%, 0% 50%
  );
  display: flex;
  align-items: center;
  justify-content: center;
  transition: box-shadow 0.3s ease, transform 0.3s ease;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
  z-index: 1;
}

.hexagon:hover {
  transform: translateY(-4px);
  box-shadow:
    0 25px 50px rgba(0, 0, 0, 0.1),
    0 4px 8px rgba(0, 0, 0, 0.15);
}

.hexagon img {
  max-width: 50%;
  height: 3.5rem;
  z-index: 2;
}

.divider {
    width: 100%;
    height: 1px;               
    background: #ccc;      
  }

.integration-info {
  padding: 0.8rem;
}

.integration-info h3 {
  border-top: #0a0a0a;
  margin: 0.5rem 0 0.3rem;
  font-size: 1rem;
  text-align: left;
}

.integration-info p {
  font-size: 0.875rem;
  color: #555;
  text-align: left;
}

.grid-footer {
    text-align: center;
    margin: 4rem 0;
}

/* Responsive Queries */
@media (max-width: 1024px) {
    .hero-container,
    .showcase-container {
        grid-template-columns: 1fr;
        text-align: center;
    }
    .section-centered-title {
        text-align: center;
    }
    .showcase-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .showcase-text {
    order: 1;
    width: 100%;
    padding: 0 1rem;
  }

  .showcase-subtitle,
  .showcase-title {
    font-size: 1.5rem;
    font-weight: 700;
    margin-top: 1rem;
    color: #111827;
  }
    .showcase-visual {
    order: 2;
    width: 100%;
  }
  .showcase-visual img {
    max-width: 80%;
    height: auto;
    border-radius: 0.5rem;
  }
  .showcase-description {
    order: 3;
    font-size: 1rem;
    line-height: 1.6;
    color: #6b7280;
    margin: 1rem 0;
    padding: 0 1rem;
  }
    .btn-primary {
        display: block;
        margin: 1rem auto;
        text-align: center;
        order: 4;
         margin: auto;
    }
}

@media (max-width: 768px) {
    .menu-btn {
        display: flex;
    }
    .nav {
        display: none;
        position: absolute;
        background: #4a4a4a;
        top: 100%;
        left: 0;
        right: 0;
        padding: 1rem;
    }
    .nav.active {
        display: block;
    }
    .nav-list {
        flex-direction: column;
        gap: 1rem;
    }
    .header {
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
    }
    .hero {
    padding: 2rem 1rem;
    }
    .hero-container {
        grid-template-columns: 1fr;
        text-align: center;
    }
    .hero-left, .hero-right {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 2rem;
    }
    .hero-heading, .hero-subheading {
        text-align: center;
    }
    .hero-right img {
        width: 100%;         
        margin-left: 0;      
        max-width: 100%;
    }
    .showcase-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .showcase-text {
    order: 1;
    width: 100%;
    padding: 0 1rem;
  }

  .showcase-subtitle,
  .showcase-title {
    font-size: 1.5rem;
    font-weight: 700;
    margin-top: 1rem;
    color: #111827;
  }
    .showcase-visual {
    order: 2;
    width: 100%;
  }
  .showcase-visual img {
    max-width: 100%;
    height: auto;
    border-radius: 0.5rem;
  }
  .showcase-description {
    order: 3;
    font-size: 1rem;
    line-height: 1.6;
    color: #6b7280;
    margin: 1rem 0;
    padding: 0 1rem;
  }
    .btn-hero-primary{
       display: block;
        margin: 1rem auto;
        text-align: center;
    }
    .btn-primary {
        display: block;
        margin: 1rem auto;
        text-align: center;
        order: 4;
         margin: auto;
    }
    .grid {
        justify-content: center;
        text-align: center;
    }
    
    .showcase-item.reverse .showcase-container {
        flex-direction: column;
        direction: ltr;
    }
    .showcase-visual img {
        margin-bottom: auto;
    }
}


@media (max-width: 480px) {
    .hero {
        padding: 6rem 1rem 3rem;
    }
    .hero-heading {
        font-size: 1.75rem;
    }
    .hero-subheading {
        font-size: 1rem;
    }
    .showcase-title,
    .grid-title,
    .section-centered-title h2 {
        font-size: 1.75rem;
    }
    .btn-hero-primary {
        padding: 0.8rem 1.8rem;
    }
    .header-container {
        flex-direction: column;
        align-items: center;
        gap: 0.5rem;
    }
}

.additional-info {
    padding: 1.8rem;
    background-color: #5f3aa3;
    color: #fff;
    border-radius: 12px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    margin: 1.5rem auto;
    max-width: 800px;
    justify-content: center;
    text-align: center;
}
.additional-info .info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 1rem;
}
.additional-info .info-title {
    font-size: 2.4rem;
    font-weight: 600;
    margin-bottom: 1rem;
}
.additional-info .info-description {
    font-size: 1.2rem;
    line-height: 1.6;
    color: #f5f4f8;
    margin-bottom: 0.5rem;
    padding: 1.5rem 4rem 0 4rem;
}

.additional-info {
    padding: 1.5rem;
    background-color: #5f3aa3;
    color: #fff;
    border-radius: 12px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    margin: 1.5rem auto;
    max-width: 800px;
    justify-content: center;
    text-align: center;
}
.additional-info .info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 0.5rem;
}
.additional-info .info-title {
    font-size: 2.4rem;
    font-weight: 600;
    margin-bottom: auto;
}
.additional-info .info-description {
    font-size: 1.2rem;
    line-height: 1.6;
    color: #f5f4f8;
    margin-bottom: 0.5rem;
    padding: 1.5rem 4rem 0 4rem;
}

.testimonials-mobile {
    display: block;
    padding: 1.5rem;
    margin: 5rem auto;
    max-width: 900px;
    background-color: #ffffff;
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    box-shadow: 0 8px 18px 8px rgba(50, 50, 50, 0.409);
    display: block;
    padding: 1.5rem;
    margin: 5rem auto;
    max-width: 900px;
    background-color: #ffffff;
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    box-shadow: 0 8px 18px 8px rgba(50, 50, 50, 0.409);
}
.testimonial-title {
        text-align: center;
        font-size: 2.6rem;
        margin-bottom: 1rem;
        font-weight: 600;
        color: #222;
    }
.testimonial-description {
    font-size: 1.5rem;
    line-height: 1.6;
    color: #555;
    margin-bottom: 1.5rem;
    padding: 0 1.5rem 1rem 1.5rem;
    text-align: center;
}
.video-container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
}
.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 10px;
}

.testimonial-title {
        text-align: center;
        font-size: 2.6rem;
        margin-bottom: 1rem;
        font-weight: 600;
        color: #222;
    }
.testimonial-description {
    font-size: 1.5rem;
    line-height: 1.6;
    color: #555;
    margin-bottom: 1.5rem;
    padding: 0 1.5rem 1rem 1.5rem;
    text-align: center;
}
.video-container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
}
.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 10px;
}

.video-carousel {
  position: relative;
  overflow: hidden;
  margin-top: 1rem;
}

.video-carousel input[type="radio"] {
  display: none;
}

.video-carousel .slides {
  display: flex;
  width: 300%;
  transition: transform 0.5s ease-in-out;
}

.video-carousel .slide {
  width: 33.3333%;
  flex-shrink: 0;
  padding: 0 0.5rem;
  box-sizing: border-box;
}
#slide1:checked ~ .slides {
  transform: translateX(0%);
}
#slide2:checked ~ .slides {
  transform: translateX(-33.3333%);
}
#slide3:checked ~ .slides {
  transform: translateX(-66.6667%);
}
.video-carousel .dots {
  position: absolute;
  bottom: 0.5rem;
  width: 100%;
  text-align: center;
}

.video-carousel .dots label {
  display: inline-block;
  width: 20px;
  height: 10px;
  margin: 0 4px;
  border-radius: 40%;
  background: #eff1f5;
  cursor: pointer;
  transition: background 0.3s;
}

#slide1:checked ~ .dots label[for="slide1"],
#slide2:checked ~ .dots label[for="slide2"],
#slide3:checked ~ .dots label[for="slide3"] {
  background: #3b45fa;
}

@media (max-width: 767px) {
    .testimonials-mobile {
        display: block;
        padding: 1.5rem;
        margin: 1rem;
        background-color: #ffffff;
        border: 1px solid #e0e0e0;
        border-radius: 12px;
        box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
    }
    .testimonial-title {
        text-align: center;
        font-size: 1.8rem;
        font-size: 1.8rem;
        margin-bottom: 1rem;
        font-weight: 600;
        color: #222;
    }
    .testimonial-description {
    font-size: 1.1rem;
    line-height: 1.6;
    color: #555;
    margin-bottom: 1.5rem;
    padding: 0 1.5rem 1rem 1.5rem;
    text-align: center;
}
    }
    .testimonial-description {
    font-size: 1.1rem;
    line-height: 1.6;
    color: #555;
    margin-bottom: 1.5rem;
    padding: 0 1.5rem 1rem 1.5rem;
    text-align: center;
}
    .video-container {
        position: relative;
        padding-bottom: 56.25%;
        height: 0;
        overflow: hidden;
        border-radius: 10px;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
    }
    .video-container iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: none;
        border-radius: 10px;
    }

